dofile("scripts/entities/entityinclude.lua")

myNote = 0
noteQuad = 0

function commonInit(me, note)
	myNote = note
end

function update(me, dt)
end

function songNote(me, note)
	if note == myNote then
		if noteQuad ~= 0 then
			quad_delete(noteQuad)
			noteQuad = 0
		end
		
		noteQuad = createQuad(string.format("Song/NoteSymbol%d", myNote), 6)
		quad_alpha(noteQuad, 1)
		quad_alpha(noteQuad, 0, 0.5)
		--quad_scale(noteQuad, 3, 3, 0.5, 0, 0, 1)
		--quad_setBlendType(noteQuad, BLEND_ADD)
		
		r,g,b = getNoteColor(myNote)
		quad_color(noteQuad, r, g, b)
		
		x,y = node_getPosition(me)
		quad_setPosition(noteQuad, x, y)
	end
end

function songNoteDone(me, note, t)
end




